require 'active_support'
require 'active_support/concern'
require "random_token_generator/version"
require 'securerandom'

module RandomToken
  extend ActiveSupport::Concern

  def random_token
    SecureRandom.hex
  end

end

ActiveSupport.on_load(:active_record) do
  include RandomToken
end
